## hexagon-dsp-binaries 0~20250917

=== Makefile ===
# SPDX-License-Identifier: MIT
# Copyright (c) 2024-2025 Linaro Ltd.

prefix ?= /usr
DSPDIR = ${prefix}/share/qcom

all:

clean:

install:
	./scripts/install.sh config.txt ${DESTDIR}/${DSPDIR}

TAG = $(shell git describe)
NAME = hexagon-dsp-binaries
TARGET = $(NAME)_$(TAG).tar.gz
SUBDIR = $(NAME)-$(TAG)
dist:
	$-rm -rf release
	@mkdir -p release dist
	./scripts/dist.sh config.txt release/$(SUBDIR)
	tar -czf dist/$(TARGET) -C release $(SUBDIR)
	@echo "Created dist/$(TARGET)"
	@rm -rf release

check:
	./scripts/check.py

.PHONY: dist check

=== debian/changelog ===
hexagon-dsp-binaries (0~20250917-1) experimental; urgency=medium

  * Initial release. (Closes: #1101838)
  * Upload to experimental as a way to let firmware-nonfree maintainers to
    react and to discuss further points.

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Tue, 11 Nov 2025 15:33:44 +0200

=== debian/control ===
Source: hexagon-dsp-binaries
Section: non-free-firmware/libs
Priority: optional
Maintainer: Dmitry Baryshkov <dbaryshkov@gmail.com>
Build-Depends:
 debhelper-compat (= 13), dpkg-build-api (=1)
Standards-Version: 4.7.2
Homepage: https://github.com/linux-msm/hexagon-dsp-binaries/
Vcs-Browser: https://salsa.debian.org/lumag/hexagon-dsp-binaries
Vcs-Git: https://salsa.debian.org/lumag/hexagon-dsp-binaries.git

Package: hexagon-dsp-binaries
Architecture: all
Depends:
 ${misc:Depends}, hexagon-dsp-binaries-qualcomm-db820c, hexagon-dsp-binaries-thundercomm-db845c, hexagon-dsp-binaries-thundercomm-rb5, hexagon-dsp-binaries-thundercomm-rb1, hexagon-dsp-binaries-thundercomm-rb2, hexagon-dsp-binaries-thundercomm-rb3gen2, hexagon-dsp-binaries-qualcomm-sa8775p-ride, hexagon-dsp-binaries-qualcomm-qcs8300-ride
Description: Hexagon DSP binaries and libraries
 While linux-firmware contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 These binaries include fastrpc_shell_N (where N is 0, 1, 2, 3),
 fastrpc_shell_unsigned_N (N = 3, special version of shell for CDSP only),
 libraries implementing necessary hooks, etc.
 .
 This is an empty package which depends on all actual Hexagon DSP binary
 packages.

Package: hexagon-dsp-binaries-qualcomm-db820c
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-soc (>> 20250917), firmware-qcom-soc (<< 20250917.0)
Description: Hexagon DSP binaries and libraries for Qualcomm db820c
 While linux-firmware contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Qualcomm db820c device.

Package: hexagon-dsp-binaries-thundercomm-db845c
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-soc (>> 20250917), firmware-qcom-soc (<< 20250917.0)
Description: Hexagon DSP binaries and libraries for Thundercomm db845c
 While linux-firmware contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Thundercomm db845c device.

Package: hexagon-dsp-binaries-thundercomm-rb5
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-soc (>> 20250917), firmware-qcom-soc (<< 20250917.0)
Description: Hexagon DSP binaries and libraries for Thundercomm RB5
 While linux-firmware contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Thundercomm RB5 device.

Package: hexagon-dsp-binaries-thundercomm-rb1
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-soc (>> 20250917), firmware-qcom-soc (<< 20250917.0)
Description: Hexagon DSP binaries and libraries for Thundercomm RB1
 While linux-firmware contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Thundercomm RB1 device.

Package: hexagon-dsp-binaries-thundercomm-rb2
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-soc (>> 20250917), firmware-qcom-soc (<< 20250917.0)
Description: Hexagon DSP binaries and libraries for Thundercomm RB2
 While linux-firmware contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Thundercomm RB2 device.

Package: hexagon-dsp-binaries-thundercomm-rb3gen2
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-soc (>> 20250917), firmware-qcom-soc (<< 20250917.0)
Description: Hexagon DSP binaries and libraries for Thundercomm RB3gen2
 While linux-firmware contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Thundercomm RB3gen2 device.

Package: hexagon-dsp-binaries-qualcomm-sa8775p-ride
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-soc (>> 20250917), firmware-qcom-soc (<< 20250917.0)
Description: Hexagon DSP binaries and libraries for Qualcomm SA8775P-RIDE
 While linux-firmware contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Qualcomm SA8775P-RIDE device.

Package: hexagon-dsp-binaries-qualcomm-qcs8300-ride
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-soc (>> 20250917), firmware-qcom-soc (<< 20250917.0)
Description: Hexagon DSP binaries and libraries for Qualcomm QCS8300-RIDE
 While linux-firmware contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Qualcomm QCS8300-RIDE device.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

# Don't split debug info from Hexagon libraries
override_dh_dwz:
	dh_dwz -Xusr/share/hexagon-dsp

override_dh_strip:
	dh_strip -Xusr/share/hexagon-dsp

override_dh_shlibdeps:
	dh_shlibdeps -Xusr/share/hexagon-dsp

# Upstream check.py can't work with Debian's packaging, it requires original
# Git repo. Ignore it, as its main goal is to verify that files under Git
# control match the WHENCE and config files.
override_dh_auto_test:

# Override the target location
override_dh_auto_install:
	$(MAKE) install DESTDIR=debian/tmp DSPDIR=usr/share/hexagon-dsp

REGEN = debian/regen.sh
CONTROLTEMPLATES = debian/control.head.in debian/control.dev.in debian/control.main.in debian/pkgname.lintian-overrides.in

VERSION_BASE := $(shell echo "$(DEB_VERSION)" | sed -e 's,-[^-]*$$,,')
VERSION_UPSTREAM := $(shell echo "$(VERSION_BASE)" | sed -e 's,^0~,,g')
VERSION_BINNMU := $(shell echo "$(DEB_VERSION)" | sed -rne 's,.*\+b([0-9]+)$$,\1,p')
VERSION_SOURCE := $(patsubst %+b$(VERSION_BINNMU),%,$(DEB_VERSION))

DIR_ORIG = ../orig/$(DEB_SOURCE)-$(VERSION_UPSTREAM)
TAR_ORIG_NAME = $(DEB_SOURCE)_$(VERSION_BASE).orig.tar.gz
TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))

$(DIR_ORIG):
ifeq ($(TAR_ORIG),)
        $(error Cannot find orig tarball $(TAR_ORIG_NAME))
else
	mkdir -p ../orig
	tar -C ../orig -xaf $(TAR_ORIG)
endif

orig: $(DIR_ORIG)
	rsync --delete --exclude /debian --exclude /.git --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .
#	QUILT_PATCHES='$(CURDIR)/debian/patches' QUILT_PC=.pc quilt push --quiltrc - -a -q --fuzz=0

# debian/regen.sh uses debian/changelog as input, but the
# output only depends on the source name and version.  To avoid
# frequent changes to debian/control.md5sum, include only those fields
# in the checksum.
debian/build/version-info: debian/changelog
	mkdir -p $(@D)
	printf >$@ 'Source: %s\nVersion: %s\n' $(DEB_SOURCE) $(VERSION_SOURCE)

debian/control: $(REGEN) config.txt $(CONTROLTEMPLATES) debian/build/version-info
ifeq ($(wildcard debian/control.md5sum),)
	$(MAKE) -f debian/rules debian/control-real
else
	md5sum --check debian/control.md5sum --status || \
		$(MAKE) -f debian/rules debian/control-real
endif

debian/control-real: $(REGEN) config.txt $(CONTROLTEMPLATES) debian/changelog
	$(REGEN) $(VERSION_UPSTREAM)
	md5sum $^ > debian/control.md5sum
	@echo
	@echo This target is made to fail intentionally, to make sure
	@echo that it is NEVER run during the automated build. Please
	@echo ignore the following error, the debian/control file has
	@echo been generated SUCCESSFULLY.
	@echo
	exit 1

.PHONY: debian/control-real

=== debian/watch ===
# Compulsory line, this is a version 4 file.
version=4

opts="searchmode=plain, dversionmangle=s/^0~//, oversionmangle=s/^/0~/, pgpsigurlmangle=s/$/.asc/" \
    https://api.github.com/repos/linux-msm/hexagon-dsp-binaries/releases?per_page=4 \
    https://github.com/linux-msm/hexagon-dsp-binaries/releases/download/@ANY_VERSION@/@PACKAGE@_[0-9]*.tar.gz

## hexagon-dsp-binaries 0~20251011

=== debian/changelog ===
hexagon-dsp-binaries (0~20251011-1) experimental; urgency=medium

  * New upstream release.
  * Include linux-firmware excerpts as a separate component. Licence for
    Makefile is based on the upstream commit. There is no licence for the
    firmware/WHENCE file per upstream maintainers (nor is it possible to
    establish one).
  * Package Qualcomm Hexagon firmware into a separate package per agreement
    with the kernel team. Relevant parts will be dropped from firmware-nonfree
    at some point in future.
  * Still upload to experimental, pending firmware-nonfree maintainers
    blessing.

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Tue, 09 Dec 2025 18:59:50 +0200

=== debian/control ===
Source: hexagon-dsp-binaries
Section: non-free-firmware/libs
Priority: optional
Maintainer: Dmitry Baryshkov <dbaryshkov@gmail.com>
Build-Depends:
 debhelper-compat (= 13), dpkg-build-api (=1), python3-debian, python3-minimal, rdfind
Standards-Version: 4.7.2
Homepage: https://github.com/linux-msm/hexagon-dsp-binaries/
Vcs-Browser: https://salsa.debian.org/lumag/hexagon-dsp-binaries
Vcs-Git: https://salsa.debian.org/lumag/hexagon-dsp-binaries.git

Package: hexagon-dsp-binaries
Architecture: all
Depends:
 ${misc:Depends}, hexagon-dsp-binaries-qualcomm-db820c, hexagon-dsp-binaries-thundercomm-db845c, hexagon-dsp-binaries-thundercomm-rb5, hexagon-dsp-binaries-thundercomm-rb1, hexagon-dsp-binaries-thundercomm-rb2, hexagon-dsp-binaries-thundercomm-rb3gen2, hexagon-dsp-binaries-qualcomm-sa8775p-ride, hexagon-dsp-binaries-qualcomm-qcs8300-ride, hexagon-dsp-binaries-qualcomm-qcs615-ride, hexagon-dsp-binaries-qualcomm-iq8275-evk, hexagon-dsp-binaries-qualcomm-iq9075-evk
Description: Hexagon DSP binaries and libraries
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 These binaries include fastrpc_shell_N (where N is 0, 1, 2, 3),
 fastrpc_shell_unsigned_N (N = 3, special version of shell for CDSP only),
 libraries implementing necessary hooks, etc.
 .
 This is an empty package which depends on all actual Hexagon DSP binary
 packages.

Package: firmware-qcom-dsp
Architecture: all
Depends:
 ${misc:Depends}
Replaces: firmware-qcom-soc (<= 20251112)
Breaks: firmware-qcom-soc (<= 20251112)
Description: Binary firmware for DSP on Qualcomm SoCs
 This package contains the binary firmware for Hexagon DSP found on various
 Qualcomm Snapdragon platforms.

Package: hexagon-dsp-binaries-qualcomm-db820c
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Qualcomm db820c
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Qualcomm db820c device.

Package: hexagon-dsp-binaries-thundercomm-db845c
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Thundercomm db845c
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Thundercomm db845c device.

Package: hexagon-dsp-binaries-thundercomm-rb5
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Thundercomm RB5
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Thundercomm RB5 device.

Package: hexagon-dsp-binaries-thundercomm-rb1
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Thundercomm RB1
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Thundercomm RB1 device.

Package: hexagon-dsp-binaries-thundercomm-rb2
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Thundercomm RB2
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Thundercomm RB2 device.

Package: hexagon-dsp-binaries-thundercomm-rb3gen2
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Thundercomm RB3gen2
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Thundercomm RB3gen2 device.

Package: hexagon-dsp-binaries-qualcomm-sa8775p-ride
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Qualcomm SA8775P-RIDE
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Qualcomm SA8775P-RIDE device.

Package: hexagon-dsp-binaries-qualcomm-qcs8300-ride
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Qualcomm QCS8300-RIDE
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Qualcomm QCS8300-RIDE device.

Package: hexagon-dsp-binaries-qualcomm-qcs615-ride
Architecture: all
Depends:
 ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Qualcomm QCS615-RIDE
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Qualcomm QCS615-RIDE device.

Package: hexagon-dsp-binaries-qualcomm-iq8275-evk
Architecture: all
Depends:
 ${misc:Depends}, hexagon-dsp-binaries-qualcomm-qcs8300-ride, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Qualcomm IQ8275-EVK dsp adsp
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Qualcomm IQ8275-EVK dsp adsp device.

Package: hexagon-dsp-binaries-qualcomm-iq9075-evk
Architecture: all
Depends:
 ${misc:Depends}, hexagon-dsp-binaries-qualcomm-sa8775p-ride, firmware-qcom-dsp (= ${binary:Version})
Description: Hexagon DSP binaries and libraries for Qualcomm IQ9075-EVK dsp adsp
 While firmware-qcom-dsp contains firmware for the DSPs present on the devices
 using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
 or getting the sensors data on those devices requires additional set of
 binaries to be executed on the DSP side.
 .
 This package provides binaries for Qualcomm IQ9075-EVK dsp adsp device.

=== debian/watch ===
Version: 5

Source: https://api.github.com/repos/linux-msm/hexagon-dsp-binaries/git/matching-refs/tags/
Matching-Pattern: https://api.github.com/repos/[^/]+/[^/]+/git/refs/tags/@ANY_VERSION@
Download-Url-Mangle: s%api.github.com/repos/([^/]+)/([^/]+)/git/refs/tags/@ANY_VERSION@%github.com/$1/$2/releases/download/$3/$2_$3.tar.gz%
Filename-Mangle: s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%
Search-Mode: plain
Dversion-Mangle: s%^0~%%
Oversion-Mangle: s%^%0~%
Pgp-Sig-Url-Mangle: s%$%.asc%

Template: gitlab
Dist: https://gitlab.com/kernel-firmware/linux-firmware
Component: firmware
Dversion-Mangle: s/^0~//
Oversion-Mangle: s/^/0~/

## hexagon-dsp-binaries 0~20251021

=== debian/changelog ===
hexagon-dsp-binaries (0~20251021-1) unstable; urgency=medium

  [ Dmitry Baryshkov ]
  * New upstream release.
  * d/copyright: add Hamoa IoT EVK platform
  * d/pkgname.lintian-overrides.in: drop library-not-linked-against-libc tag
  * d/control.head.in: bump Standards-Version to 4.7.3, no changes needed
  * d/control.head.in: drop Priority:optional, it's default

  [ Robie Basak ]
  * Adjust versioned Breaks/Replaces from firmware-qcom-dsp to
    firmware-qcom-soc now that we know the exact version the files were dropped
    from the src:firmware-nonfree side.
  * Upload to unstable since there's no longer any benefit to holding this
    package out of unstable.

 -- Robie Basak <robie.basak@oss.qualcomm.com>  Fri, 06 Feb 2026 11:37:06 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: hexagon-dsp-binaries
 Section: non-free-firmware/libs
-Priority: optional
 Maintainer: Dmitry Baryshkov <dbaryshkov@gmail.com>
 Build-Depends:
  debhelper-compat (= 13), dpkg-build-api (=1), python3-debian, python3-minimal, rdfind
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/linux-msm/hexagon-dsp-binaries/
 Vcs-Browser: https://salsa.debian.org/lumag/hexagon-dsp-binaries
 Vcs-Git: https://salsa.debian.org/lumag/hexagon-dsp-binaries.git
@@ -12,7 +11,7 @@
 Package: hexagon-dsp-binaries
 Architecture: all
 Depends:
- ${misc:Depends}, hexagon-dsp-binaries-qualcomm-db820c, hexagon-dsp-binaries-thundercomm-db845c, hexagon-dsp-binaries-thundercomm-rb5, hexagon-dsp-binaries-thundercomm-rb1, hexagon-dsp-binaries-thundercomm-rb2, hexagon-dsp-binaries-thundercomm-rb3gen2, hexagon-dsp-binaries-qualcomm-sa8775p-ride, hexagon-dsp-binaries-qualcomm-qcs8300-ride, hexagon-dsp-binaries-qualcomm-qcs615-ride, hexagon-dsp-binaries-qualcomm-iq8275-evk, hexagon-dsp-binaries-qualcomm-iq9075-evk
+ ${misc:Depends}, hexagon-dsp-binaries-qualcomm-db820c, hexagon-dsp-binaries-thundercomm-db845c, hexagon-dsp-binaries-thundercomm-rb5, hexagon-dsp-binaries-thundercomm-rb1, hexagon-dsp-binaries-thundercomm-rb2, hexagon-dsp-binaries-thundercomm-rb3gen2, hexagon-dsp-binaries-qualcomm-sa8775p-ride, hexagon-dsp-binaries-qualcomm-qcs8300-ride, hexagon-dsp-binaries-qualcomm-qcs615-ride, hexagon-dsp-binaries-qualcomm-hamoa-iot-evk, hexagon-dsp-binaries-qualcomm-iq8275-evk, hexagon-dsp-binaries-qualcomm-iq9075-evk
 Description: Hexagon DSP binaries and libraries
  While firmware-qcom-dsp contains firmware for the DSPs present on the devices
  using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
@@ -30,8 +29,8 @@
 Architecture: all
 Depends:
  ${misc:Depends}
-Replaces: firmware-qcom-soc (<= 20251112)
-Breaks: firmware-qcom-soc (<= 20251112)
+Replaces: firmware-qcom-soc (<= 20251125-1~)
+Breaks: firmware-qcom-soc (<= 20251125-1~)
 Description: Binary firmware for DSP on Qualcomm SoCs
  This package contains the binary firmware for Hexagon DSP found on various
  Qualcomm Snapdragon platforms.
@@ -144,6 +143,18 @@
  .
  This package provides binaries for Qualcomm QCS615-RIDE device.
 
+Package: hexagon-dsp-binaries-qualcomm-hamoa-iot-evk
+Architecture: all
+Depends:
+ ${misc:Depends}, firmware-qcom-dsp (= ${binary:Version})
+Description: Hexagon DSP binaries and libraries for Qualcomm Hamoa-IoT-EVK
+ While firmware-qcom-dsp contains firmware for the DSPs present on the devices
+ using Qualcomm SoCs, using the FastRPC interfaces, compressed audio support
+ or getting the sensors data on those devices requires additional set of
+ binaries to be executed on the DSP side.
+ .
+ This package provides binaries for Qualcomm Hamoa-IoT-EVK device.
+
 Package: hexagon-dsp-binaries-qualcomm-iq8275-evk
 Architecture: all
 Depends:

=== debian/rules ===
--- 
+++ 
@@ -23,6 +23,20 @@
 # Override the target location
 override_dh_auto_install:
 	$(MAKE) install DESTDIR=debian/tmp DSPDIR=usr/share/hexagon-dsp
+	[ -e firmware/WHENCE-orig ] || mv firmware/WHENCE firmware/WHENCE-orig
+	debian/filter-firmware-whence.py firmware/WHENCE-orig firmware/WHENCE
+	cd firmware && ./copy-firmware.sh ../debian/tmp/usr/lib/firmware
+	./firmware/dedup-firmware.sh debian/tmp/usr/lib/firmware/
+
+override_dh_install:
+	dh_install
+	debian/check-symlinks
+
+override_dh_clean:
+	dh_clean
+	if [ -e firmware/WHENCE-orig ] ; then mv firmware/WHENCE-orig firmware/WHENCE ; fi
+	# possible leftover of dedup-firmware.sh
+	rm -f results.txt
 
 REGEN = debian/regen.sh
 CONTROLTEMPLATES = debian/control.head.in debian/control.dev.in debian/control.main.in debian/pkgname.lintian-overrides.in
@@ -36,17 +50,30 @@
 TAR_ORIG_NAME = $(DEB_SOURCE)_$(VERSION_BASE).orig.tar.gz
 TAR_ORIG = $(firstword $(wildcard ../$(TAR_ORIG_NAME)) $(wildcard ../orig/$(TAR_ORIG_NAME)))
 
+DIR_FW_ORIG = ../orig/$(DEB_SOURCE)-firmware-$(VERSION_UPSTREAM)
+TAR_FW_ORIG_NAME = $(DEB_SOURCE)_$(VERSION_BASE).orig-firmware.tar.gz
+TAR_FW_ORIG = $(firstword $(wildcard ../$(TAR_FW_ORIG_NAME)) $(wildcard ../orig/$(TAR_FW_ORIG_NAME)))
+
 $(DIR_ORIG):
 ifeq ($(TAR_ORIG),)
         $(error Cannot find orig tarball $(TAR_ORIG_NAME))
 else
-	mkdir -p ../orig
-	tar -C ../orig -xaf $(TAR_ORIG)
+	mkdir -p $(DIR_ORIG)
+	tar -C $(DIR_ORIG) --strip-components=1 -xaf $(TAR_ORIG)
 endif
 
-orig: $(DIR_ORIG)
+$(DIR_FW_ORIG):
+ifeq ($(TAR_FW_ORIG),)
+        $(error Cannot find orig tarball $(TAR_FW_ORIG_NAME))
+else
+	mkdir -p $(DIR_FW_ORIG)
+	tar -C $(DIR_FW_ORIG) --strip-components=1 -xaf $(TAR_FW_ORIG)
+endif
+
+orig: $(DIR_ORIG) $(DIR_FW_ORIG)
 	rsync --delete --exclude /debian --exclude /.git --link-dest=$(DIR_ORIG)/ -a $(DIR_ORIG)/ .
 #	QUILT_PATCHES='$(CURDIR)/debian/patches' QUILT_PC=.pc quilt push --quiltrc - -a -q --fuzz=0
+	rsync --delete --exclude /debian --exclude /.git --link-dest=../$(DIR_FW_ORIG)/ -a $(DIR_FW_ORIG)/ firmware/
 
 # debian/regen.sh uses debian/changelog as input, but the
 # output only depends on the source name and version.  To avoid

## hexagon-dsp-binaries 0~20251125

=== debian/changelog ===
hexagon-dsp-binaries (0~20251125-1) unstable; urgency=medium

  * New upstream release, skipping 20251111.
  * d/copyright: update licence for kaanapali, add sm8750 firmware

 -- Dmitry Baryshkov <dbaryshkov@gmail.com>  Wed, 18 Feb 2026 12:19:36 +0200
